## clutter-1.0 1.2.12

=== debian/changelog ===
clutter-1.0 (1.2.12-0ubuntu13~unity2d1) lucid; urgency=low

  * Backport from Maverick; version required for libunity-misc

 -- Alex Chiang <achiang@canonical.com>  Tue, 08 Feb 2011 12:55:03 -0700

clutter-1.0 (1.2.12-0ubuntu13) maverick; urgency=low

  * debian/patches/lp604777.patch
    - fix for a memory leak in clutk (LP: #604777)

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 16 Sep 2010 10:49:40 -0400

clutter-1.0 (1.2.12-0ubuntu12) maverick; urgency=low

  * debian/patches/always_select_glx_events.patch:
    - Patch taken from upstream git to fix clutter with mesa 7.9 which
      (correctly) only delivers swap_event events when the client has asked
      for them. (LP: #632352) (LP: #638808)

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 31 Aug 2010 16:16:09 +1000

clutter-1.0 (1.2.12-0ubuntu11) maverick; urgency=low

  * debian/patches/01_speed_current_position_detection.patch:
    - update from Jason Smith to fix clicks on the first pixel of the unity bar
      (lp: #614945)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 26 Aug 2010 10:16:12 +0200

clutter-1.0 (1.2.12-0ubuntu10) maverick; urgency=low

  * frontend api does not need BACKEND_PC_FILES; introduce a CLUTTER_FRONTEND_REQUIRES
    AC_SUBST and use that in .pc.in files (LP: #623376)
  * cogl-defines from gl breaks cross gles2 builds; needs to guard
    the GL/gl.h include if gl2.h from gles2 was already included (LP: #623376)
  * Provides: libclutter-1.0-0 does not work if there are versioned depends on it;
    fix debian/*.symbols to produce alternative dependencies on glx/es11/es20 for
    rdepends building against libclutter*-dev
  * in turn add make all variants alternative depends of gir1.0-clutter-1.0
    and gir1.0-clutter-eglx-1.0

 -- Alexander Sack <asac@linaro.org>  Mon, 23 Aug 2010 20:21:49 +0200

clutter-1.0 (1.2.12-0ubuntu8) maverick; urgency=low

  * Correct typo in the control file as well 

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 19 Aug 2010 21:15:29 +0200

clutter-1.0 (1.2.12-0ubuntu6.1) maverick; urgency=low

  * Updated the build-depends using the .pc requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 19 Aug 2010 19:35:59 +0200

clutter-1.0 (1.2.12-0ubuntu6) maverick; urgency=low

  * debian/patches/autoreconf.patch, debian/control, debian/rules:
    - use dh-autoreconf
  * debian/control:
    - changed gtk requirements to gdk-pixbuf
    - don't require gir-repository-dev
    - updated the gir build depends and the libclutter-dev requirements

  [ Alexandros Frantzis ]
  * Switch package format to 3.0 (quilt).
  * debian/control:
    - Add binary packages for EGLX OpenGL ES 1.1 and 2.0 variants of Clutter.
    - Add binary packages containing tests for all variants of the library.
    - Update current standards version.
  * debian/rules: 
    - Switch to dh7 (from CDBS).
    - Remove extraneous dependency from gir1.0-clutter-eglx-1.0
  * debian/libclutter-eglx*.links
    - Provide compatibility links to old library names.
  * debian/*.symbols:
    - Updated for unified API.
    - Add symbols introduced by 01_speed_current_position_detection.patch.
  * debian/patches/fix_po_makefile_out_of_tree_build.patch:
    - Fix path in po/Makefile.in.in so that mkinstalldirs can be found for
      out of tree builds.
  * debian/patches/fix_gles1_detection.patch:
    - Fix problems with detection of GLESv1_CM library.
  * debian/patches/fix_test_data_path.patch:
    - Change the test data path to point to the directory where the data will
      be actually installed.
  * debian/patches/remove_gl_dep_for_gles.patch:
    - Remove false GL dependency on library and tests.
  * debian/patches/eglx_texture_pixmap.patch:
    - Use a dummy implementation of the clutter-glx-texture-pixmap API
      that just uses clutter-x11-texture-pixmap for the eglx variant.
  * debian/patches/x11-unified.patch:
    - produce an unified clutter library with a single soname for all
      the variants.
  * debian/patches/hide_internal_glx_eglx_symbols.patch:
    - Hide internal glx and eglx symbols so that they don't contaminate the
      API/ABI.

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 19 Aug 2010 17:07:21 +0200

clutter-1.0 (1.2.12-0ubuntu5) maverick; urgency=low

  * debian/patches/01_speed_current_position_detection.patch:
    - use gl picking

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 18 Aug 2010 22:50:48 +0200

clutter-1.0 (1.2.12-0ubuntu4) maverick; urgency=low

  * Rebuild with the new gobject introspection

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Aug 2010 19:24:14 +0200

clutter-1.0 (1.2.12-0ubuntu3) maverick; urgency=low

  * debian/control.in:
    - -dev package should depend on libjson-glib-dev as well

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 06 Aug 2010 13:26:59 +0200

clutter-1.0 (1.2.12-0ubuntu2) maverick; urgency=low

  * debian/patches/01_fix_motion_events.patch,
    02__fix_SIGSEGV_clutter_stage_has_full_redraw_queued.patch:
    removed, included in 01_speed_current_position_detection.patch
  * debian/patches/01_speed_current_position_detection.patch:
    Improve the detection of current mouse position
  * debian/rules:
    - Use external json-glib (LP: #613927)
  * debian/control.in:
    - build-dep on libjson-glib-dev

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 23 Jul 2010 16:03:16 +0200

clutter-1.0 (1.2.12-0ubuntu1) maverick; urgency=low

  * New upstream release
    - Provide a fallback for MESA_copy_sub_buffer by using the
      EXT_blit_framebuffer extension. (BCP#2128)
    - Never promote clipped redraws to fullscreen redraws. (BCP#2136)
    - Fix rounding error in ClutterText. (BCP#2170)
    - Fix drawing of transparent stages on X11. (BCP#2050)
    - ClutterAnimator bug fixes.
    - ClutterAnimation fixes for vector-based API. (BCP#2149)
    - Fixes for the Windows backend event handling. (BCP#2135)
    - Fixes for the setup of the GL context on OSX. (BCP#1394)
    - Documentation improvements. (BCP#2081, BCP#2133)

