=== debian/control ===
Source: clutter-1.0
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ross Burton <ross@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Gustavo Noronha Silva <kov@debian.org>, Rob Bradford <robster@debian.org>, Ross Burton <ross@debian.org>
Build-Depends: debhelper (>= 7.0.50),
               gnome-pkg-tools,
               dh-autoreconf,
               libgl1-mesa-dev | libgl-dev,
               libgles1-mesa-dev,
               libgles2-mesa-dev,
               libgdk-pixbuf2.0-dev,
               libcairo2-dev (>= 1.6),
               libpango1.0-dev (>= 1.20),
               libglib2.0-dev (>= 2.16),
               libxext-dev,
               libxcomposite-dev,
               libxfixes-dev,
               libgegl-0.0-dev,
               libgl1-mesa-dev,
               libxdamage-dev,
               libx11-dev,
               gtk-doc-tools (>= 1.11),
               libjson-glib-dev (>= 0.8),
               gir1.0-json-glib-1.0 (>= 0.8),
               libgirepository1.0-dev (>= 0.6.4),
               gobject-introspection (>= 0.6.4),
               gir1.0-freedesktop (>= 0.6.4),
               gir1.0-glib-2.0,
               gir1.0-json-glib-1.0,
               gir1.0-pango-1.0
Standards-Version: 3.9.1

Package: libclutter-1.0-0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: libclutter-eglx-es11-1.0-0,
           libclutter-eglx-es20-1.0-0,
Description: Open GL based interactive canvas library
 Clutter is an Open GL based interactive canvas library, designed for creating
 fast, mainly 2D single window applications such as media box UIs,
 presentations, kiosk style applications and so on.
 .
 This package provides a build of Clutter that uses the GLX OpenGL backend.
 
Package: libclutter-eglx-es11-1.0-0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: libclutter-1.0-0,
           libclutter-eglx-es20-1.0-0,
Provides: libclutter-1.0-0
Replaces: libclutter-1.0-0
Description: Open GL based interactive canvas library
 Clutter is an Open GL based interactive canvas library, designed for creating
 fast, mainly 2D single window applications such as media box UIs,
 presentations, kiosk style applications and so on.
 .
 This package provides a build of Clutter that uses the EGLX OpenGL ES 1.1
 backend.
 
Package: libclutter-eglx-es20-1.0-0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: libclutter-1.0-0,
           libclutter-eglx-es11-1.0-0,
Provides: libclutter-1.0-0
Replaces: libclutter-1.0-0
Description: Open GL based interactive canvas library
 Clutter is an Open GL based interactive canvas library, designed for creating
 fast, mainly 2D single window applications such as media box UIs,
 presentations, kiosk style applications and so on.
 .
 This package provides a build of Clutter that uses the EGLX OpenGL 2.0
 backend.
 
Package: libclutter-1.0-dev
Section: libdevel
Architecture: any
Depends: libclutter-1.0-0 (= ${binary:Version}),
         libcairo2-dev,
         libpango1.0-dev,
         libglib2.0-dev,
         libgdk-pixbuf2.0-dev,
         libgl1-mesa-dev|libgl-dev,
         libjson-glib-dev (>= 0.8),
         libxext-dev,
         libxcomposite-dev,
         libxfixes-dev,
         libgegl-0.0-dev,
         libgl1-mesa-dev,
         libxdamage-dev,
         libx11-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: pkg-config
Suggests: libclutter-1.0-doc
Conflicts: libclutter-eglx-es11-1.0-dev,
           libclutter-eglx-es20-1.0-dev,
Description: Open GL based interactive canvas library (development files)
 Clutter is an Open GL based interactive canvas library, designed for creating
 fast, mainly 2D single window applications such as media box UIs,
 presentations, kiosk style applications and so on.
 .
 This package contains the development files for the GLX OpenGL build.

Package: libclutter-eglx-es11-1.0-dev
Section: libdevel
Architecture: any
Depends: libclutter-eglx-es11-1.0-0 (= ${binary:Version}),
         libcairo2-dev,
         libpango1.0-dev,
         libglib2.0-dev,
         libgdk-pixbuf2.0-dev,
         libgles1-mesa-dev,
         libjson-glib-dev (>= 0.8),
         libxext-dev,
         libxcomposite-dev,
         libxfixes-dev,
         libgegl-0.0-dev,
         libgl1-mesa-dev,
         libxdamage-dev,
         libx11-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: pkg-config
Suggests: libclutter-1.0-doc
Conflicts: libclutter-1.0-dev,
           libclutter-eglx-es20-1.0-dev,
Provides: libclutter-1.0-dev
Replaces: libclutter-eglx-es11-1.0-dev (<< 1.2.12-0ubuntu1unified1)
Description: Open GL based interactive canvas library (development files)
 Clutter is an Open GL based interactive canvas library, designed for creating
 fast, mainly 2D single window applications such as media box UIs,
 presentations, kiosk style applications and so on.
 .
 This package contains the development files for the EGLX OpenGL ES 1.1 build.
 
Package: libclutter-eglx-es20-1.0-dev
Section: libdevel
Architecture: any
Depends: libclutter-eglx-es20-1.0-0 (= ${binary:Version}),
         libcairo2-dev,
         libpango1.0-dev,
         libglib2.0-dev,
         libgdk-pixbuf2.0-dev,
         libgles2-mesa-dev,
         libjson-glib-dev (>= 0.8),
         libxext-dev,
         libxcomposite-dev,
         libxfixes-dev,
         libgegl-0.0-dev,
         libgl1-mesa-dev,
         libxdamage-dev,
         libx11-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: pkg-config
Suggests: libclutter-1.0-doc
Conflicts: libclutter-1.0-dev,
           libclutter-eglx-es11-1.0-dev,
           libclutter-eglx-es20-1.0-dev (<< 1.2.12-0ubuntu1unified1)
Provides: libclutter-1.0-dev
Replaces: libclutter-eglx-es20-1.0-dev (<< 1.2.12-0ubuntu1unified1)
Description: Open GL based interactive canvas library (development files)
 Clutter is an Open GL based interactive canvas library, designed for creating
 fast, mainly 2D single window applications such as media box UIs,
 presentations, kiosk style applications and so on.
 .
 This package contains the development files for the EGLX OpenGL ES 2.0 build.
 
Package: libclutter-1.0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libclutter-1.0-0 (= ${binary:Version}),
         ${misc:Depends}
Conflicts: libclutter-eglx-es11-1.0-dbg,
           libclutter-eglx-es20-1.0-dbg
Description: Open GL based interactive canvas library (debug files)
 Clutter is an Open GL based interactive canvas library, designed for creating
 fast, mainly 2D single window applications such as media box UIs,
 presentations, kiosk style applications and so on.
 .
 This package contains the debug files for the GLX OpenGL build.
 
Package: libclutter-eglx-es11-1.0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libclutter-eglx-es11-1.0-0 (= ${binary:Version}),
         ${misc:Depends}
Conflicts: libclutter-1.0-dbg,
           libclutter-eglx-es20-1.0-dbg
Description: Open GL based interactive canvas library (debug files)
 Clutter is an Open GL based interactive canvas library, designed for creating
 fast, mainly 2D single window applications such as media box UIs,
 presentations, kiosk style applications and so on.
 .
 This package contains the debug files for the EGLX OpenGL ES 1.1 build.
 
Package: libclutter-eglx-es20-1.0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libclutter-eglx-es20-1.0-0 (= ${binary:Version}),
         ${misc:Depends}
Conflicts: libclutter-1.0-dbg,
           libclutter-eglx-es11-1.0-dbg
Description: Open GL based interactive canvas library (debug files)
 Clutter is an Open GL based interactive canvas library, designed for creating
 fast, mainly 2D single window applications such as media box UIs,
 presentations, kiosk style applications and so on.
 .
 This package contains the debug files for the EGLX OpenGL ES 2.0 build.
 
Package: libclutter-1.0-doc
Section: doc
Priority: extra
Architecture: all
Depends: ${misc:Depends}
Suggests: devhelp
Conflicts: libclutter-0.1-doc, libclutter-doc
Replaces: libclutter-0.1-doc
Description: Open GL based interactive canvas library (documentation)
 Clutter is an Open GL based interactive canvas library, designed for creating
 fast, mainly 2D single window applications such as media box UIs,
 presentations, kiosk style applications and so on.
 .
 This package contains the documentation.
 
Package: clutter-1.0-tests
Section: misc
Priority: extra
Architecture: any
Depends: libclutter-1.0-0 (= ${binary:Version}),
         clutter-1.0-tests-common (>= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Replaces: libclutter-1.0-tests
Description: Open GL based interactive canvas library (documentation)
 Clutter is an Open GL based interactive canvas library, designed for creating
 fast, mainly 2D single window applications such as media box UIs,
 presentations, kiosk style applications and so on.
 .
 This package contains test programs for the GLX OpenGL build of the library.
 
Package: clutter-eglx-es11-1.0-tests
Section: misc
Architecture: any
Priority: extra
Depends: libclutter-eglx-es11-1.0-0 (= ${binary:Version}),
         clutter-1.0-tests-common (>= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Replaces: libclutter-eglx-es11-1.0-tests
Description: Open GL based interactive canvas library (documentation)
 Clutter is an Open GL based interactive canvas library, designed for creating
 fast, mainly 2D single window applications such as media box UIs,
 presentations, kiosk style applications and so on.
 .
 This package contains test programs for the EGLX OpenGL ES 1.1 build of the
 library.
 
Package: clutter-eglx-es20-1.0-tests
Section: misc
Architecture: any
Priority: extra
Depends: libclutter-eglx-es20-1.0-0 (= ${binary:Version}),
         clutter-1.0-tests-common (>= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Replaces: libclutter-eglx-es20-1.0-tests
Description: Open GL based interactive canvas library (documentation)
 Clutter is an Open GL based interactive canvas library, designed for creating
 fast, mainly 2D single window applications such as media box UIs,
 presentations, kiosk style applications and so on.
 .
 This package contains test programs for the EGLX OpenGL ES 2.0 build of the
 library.
 
Package: clutter-1.0-tests-common
Section: misc
Architecture: all
Priority: extra
Depends: ${misc:Depends}
Replaces: libclutter-1.0-tests-common
Description: Open GL based interactive canvas library (documentation)
 Clutter is an Open GL based interactive canvas library, designed for creating
 fast, mainly 2D single window applications such as media box UIs,
 presentations, kiosk style applications and so on.
 .
 This package contains common test data used by the test programs.
 
Package: gir1.0-clutter-1.0
Section: libs
Architecture: any
Depends: libclutter-1.0-0 (= ${binary:Version}) |  libclutter-eglx-es11-1.0-0 (= ${binary:Version}) | libclutter-eglx-es20-1.0-0 (= ${binary:Version}),
         ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Conflicts: libclutter-1.0-0 (<< 1.0.8),
           gir1.0-clutter-eglx-1.0,
Replaces: libclutter-1.0-0 (<< 1.0.8),
Description: GObject introspection data for the Clutter 1.0 library
 This package contains introspection data for the Clutter scene
 graph library (GLX OpenGL build).
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.
 
Package: gir1.0-clutter-eglx-1.0
Section: libs
Architecture: any
Depends: libclutter-eglx-es11-1.0-0 (= ${binary:Version}) | libclutter-eglx-es20-1.0-0 (= ${binary:Version}) | libclutter-1.0-0 (= ${binary:Version}),
         ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
