=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

COMMON_CONF_FLAGS= \
    --prefix=/usr \
    --enable-introspection=yes \
    --enable-conformance=no \
    --with-json=system

LDFLAGS += -Wl,-O1 -Wl,--as-needed
export LDFLAGS

%:
	dh --with autoreconf $@ --parallel

override_dh_auto_configure: configure-glx configure-eglx-es11 configure-eglx-es20
	
configure-glx:
	mkdir -p debian-build/glx && cd debian-build/glx && ../../configure --with-flavour=glx $(COMMON_CONF_FLAGS)
	
configure-eglx-es11:
	mkdir -p debian-build/eglx-es11 && cd debian-build/eglx-es11 && ../../configure --with-flavour=eglx --with-gles=1.1 $(COMMON_CONF_FLAGS)
	
configure-eglx-es20:
	mkdir -p debian-build/eglx-es20 && cd debian-build/eglx-es20 && ../../configure --with-flavour=eglx --with-gles=2.0 $(COMMON_CONF_FLAGS)
	
override_dh_auto_build: build-glx build-eglx-es11 build-eglx-es20
	
build-glx:
	cd debian-build/glx && $(MAKE)
	
build-eglx-es11:
	cd debian-build/eglx-es11 && $(MAKE)
	
build-eglx-es20:
	cd debian-build/eglx-es20 && $(MAKE)
	
override_dh_strip:
	dh_strip -p libclutter-1.0-0 --dbg-package=libclutter-1.0-dbg
	dh_strip -p libclutter-eglx-es11-1.0-0 --dbg-package=libclutter-eglx-es11-1.0-dbg
	dh_strip -p libclutter-eglx-es20-1.0-0 --dbg-package=libclutter-eglx-es20-1.0-dbg
	dh_strip --remaining-packages
	
override_dh_shlibdeps:
	# libclutter-glx-1.0.so is contained in all variant packages
	# Tell dh_shlibdeps to search first in the respective variant library package for each
	# test package, so that the each test package gets the correct dependency
	dh_shlibdeps -pclutter-1.0-tests -Llibclutter-1.0-0
	dh_shlibdeps -pclutter-eglx-es20-1.0-tests -Llibclutter-eglx-es20-1.0-0
	dh_shlibdeps -pclutter-eglx-es11-1.0-tests -Llibclutter-eglx-es11-1.0-0
	dh_shlibdeps --remaining-packages
	
	dh_girepository -pgir1.0-clutter-1.0 -ldebian/debian-build/glx/usr/share/gir-1.0/
	dh_girepository -pgir1.0-clutter-eglx-1.0 -ldebian/debian-build/eglx-es20/usr/share/gir-1.0/
	# Get rid of extra dependencies
	sed -i 's/,* *libclutter.*-1.0-0\( ([^)]*)\)\?//g' debian/gir1.0-clutter-eglx-1.0.substvars

override_dh_auto_install:
	cd debian-build/glx && $(MAKE) DESTDIR=$(CURDIR)/debian/debian-build/glx install
	cd debian-build/eglx-es11 && $(MAKE) DESTDIR=$(CURDIR)/debian/debian-build/eglx-es11 install
	cd debian-build/eglx-es20 && $(MAKE) DESTDIR=$(CURDIR)/debian/debian-build/eglx-es20 install
	# Use eglx soname for programs than specifically ask for the eglx variant
	sed -i 's/winsys=glx/winsys=eglx/' debian/debian-build/eglx-es11/usr/lib/pkgconfig/clutter-eglx-1.0.pc
	sed -i 's/winsys=glx/winsys=eglx/' debian/debian-build/eglx-es20/usr/lib/pkgconfig/clutter-eglx-1.0.pc
	
override_dh_auto_clean:
	-cd debian-build/glx && $(MAKE) distclean
	-cd debian-build/eglx-es11 && $(MAKE) distclean
	-cd debian-build/eglx-es20 && $(MAKE) distclean
	-rm -rf debian-build debian/debian-build
