=== debian/watch ===
version=2
http://www.clutter-project.org/sources/clutter/([\d.]+[02468])/clutter-(.*)\.tar\.gz
