## clutter-1.0 1.6.14

=== debian/changelog ===
clutter-1.0 (1.6.14-0ubuntu3) natty; urgency=low

  * debian/patches/fix_soname_infix_in_cogl_pc_file.patch: Use libclutter-glx
    as a dependency in cogl.pc.in since we provide that name instead of libclutter-egl now.
    This should fix builds of packages using the EGL backend on ARM. 

 -- Jani Monoses <jani@ubuntu.com>  Wed, 13 Apr 2011 16:20:52 +0300

clutter-1.0 (1.6.14-0ubuntu2) natty; urgency=low

  * debian/libclutter-1.0-0.symbols.armel: Remove symbol to fix armel FTBFS.

 -- Jani Monoses <jani@ubuntu.com>  Wed, 06 Apr 2011 12:18:47 +0300

clutter-1.0 (1.6.14-0ubuntu1) natty; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 05 Apr 2011 20:23:06 +0200

clutter-1.0 (1.6.12-0ubuntu1) natty; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 05 Apr 2011 19:09:23 +0200

clutter-1.0 (1.6.10-3ubuntu1) natty; urgency=low

  * Merge with Debian experimental, remaining Ubuntu changes:
  * debian/control:
    - Build-depend on dh-autoreconf, gettext, autopoint
    - Add Vcs-Bzr link
    - Add clutter-1.0-tests package
    - Make packages conflict with old libclutter-eglx- packages
    - Don't bump libpango1.0-dev version, the current one works fine
  * debian/rules:
    - Use autoreconf.mk
    - Change default OpenGL backend from GL to GLES 2 for ARM
  * debian/clutter-1.0-tests.install:
    - New package
  * debian/libclutter-1.0-0.symbols.armel:
    - Created symbols file when building with eglx backend (ARM)
  * debian/patches/dummy_clutter_glx_texture_api_eglx.patch:
    - Provide a dummy clutter_glx_texture_pixmap API for the egl flavour.
  * debian/patches/eglx_glx_share_same_soname.patch:
    - Eglx and glx should share the same SONAME, for compatibility reasons.
  * debian/patches/defining-correct-shader-precision-gles.patch:
    - Defining correct shader precision for GLES.
  * debian/patches/02_disable_armv5t_specific_optimization.patch:
    - Disable, let the Linaro team decide if this is important
  * debian/patches/fix_test_data_path.patch:
    - Change the test data path to point to the directory where the data will
      be actually installed.
  * debian/patches/lp623376_check_gl2_h_in_gl_cogl_defines.patch:
    - Add extra header guard for gl and gles1.1 headers.
  * debian/patches/lp623376-no-gl-for-rdepends.patch:
    - Frontend api does not need BACKEND_PC_FILES; introduce a CLUTTER_FRONTEND_REQUIRES
      AC_SUBST and use that in .pc.in files

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 29 Mar 2011 11:15:22 +1100

clutter-1.0 (1.6.10-3) unstable; urgency=low

  * debian/control.in:
    + Add libxi-dev to libclutter-1.0-dev
  * debian/control.in:
    + Make libclutter-1.0-0 Recommend libclutter-1.0-common

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 26 Mar 2011 22:56:00 +0000

clutter-1.0 (1.6.10-2) unstable; urgency=low

  * debian/control.in:
    + Build using the gir binaries from atk and pango instead of the
      gir-repository bundle.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 26 Mar 2011 07:33:05 +0000

clutter-1.0 (1.6.10-1) unstable; urgency=low

  * debian/control.in:
    + Update the build dependencies to build the gir package with packages
      from unstable.
  * New upstream release.
    + debian/libclutter-1.0-0.symbols:
      - Updated.
  * Upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 23 Mar 2011 23:10:26 +0000

clutter-1.0 (1.6.8-1) experimental; urgency=low

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 11 Mar 2011 21:46:47 +0000

clutter-1.0 (1.6.8-0ubuntu2) natty; urgency=low

  * debian/libclutter-1.0-0.symbols.armel: Update, fix armel FTBFS.

 -- Jani Monoses <jani@ubuntu.com>  Wed, 09 Mar 2011 15:17:50 +0200

clutter-1.0 (1.6.8-0ubuntu1) natty; urgency=low

  * New upstream version
  * debian/patches/lp623376-no-gl-for-rdepends.patch:
    - new version update
  * debian/libclutter-1.0-0.symbols:
    - updated the symbols

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 08 Mar 2011 16:22:26 +0100

clutter-1.0 (1.6.6-1) experimental; urgency=low

  * New upstream release.
    + debian/control.in:
      - Update build dependencies.
    + debian/libclutter-1.0-0.symbols:
      - Updated.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 22 Feb 2011 20:39:37 +0000

clutter-1.0 (1.6.4-1) experimental; urgency=low

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 14 Feb 2011 20:38:26 +0000

clutter-1.0 (1.6.4-0ubuntu2) natty; urgency=low

  * Changing default OpenGL backend from GL to GLES 2 for ARM
  * debian/libclutter-1.0-0.symbols.armel: created symbols file when building
    with eglx backend (ARM)
  * debian/patches/dummy_clutter_glx_texture_api_eglx.patch:
    - Provide a dummy clutter_glx_texture_pixmap API for the egl flavour.
  * debian/patches/eglx_glx_share_same_soname.patch:
    - Eglx and glx should share the same SONAME, for compatibility reasons.
  * debian/patches/defining-correct-shader-precision-gles.patch:
    - Defining correct shader precision for GLES.

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Thu, 17 Feb 2011 13:41:53 -0200

clutter-1.0 (1.6.4-0ubuntu1) natty; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 17 Feb 2011 15:31:24 +0100

clutter-1.0 (1.6.2-1) experimental; urgency=low

  * New upstream release.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 09 Feb 2011 18:34:39 +0000

clutter-1.0 (1.6.2-0ubuntu1) natty; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 08 Feb 2011 16:56:59 +0100

clutter-1.0 (1.6.0-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/libclutter-1.0-0.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 02 Feb 2011 09:28:22 +1100

clutter-1.0 (1.6.0-1) experimental; urgency=low

  * New upstream stable release.
    + debian/libclutter-1.0-0.symbols:
      - Updated.


