=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: clutter-1.0
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ross Burton <ross@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Sjoerd Simons <sjoerd@debian.org>
Build-Depends: debhelper (>= 5),
               cdbs (>= 0.4.41),
               gnome-pkg-tools,
               dh-autoreconf,
               gettext,
               autopoint,
               libgl1-mesa-dev (>= 7.1~rc3-1~) [!armel],
               libgles2-mesa-dev (>= 7.1~rc3-1~) [armel] | libgles2-dev [armel],
               libglib2.0-dev (>= 2.27.3),
               libcairo2-dev (>= 1.10),
               libpango1.0-dev (>= 1.28.3-2),
               libglib2.0-dev (>= 2.27),
               libjson-glib-dev (>= 0.12.0),
               libdrm-dev [!hurd-any],
               libxext-dev,
               libxfixes-dev (>= 1:3),
               libxdamage-dev,
               libxcomposite-dev (>= 0.4),
               libxi-dev,
               gtk-doc-tools (>= 1.13),
               libgirepository1.0-dev (>= 0.9.12),
               gobject-introspection (>= 0.9.12-4~),
               gir1.2-glib-2.0,
               libatk1.0-dev (>= 1.32-3),
               libgdk-pixbuf2.0-dev (>= 2.0),
               gir1.2-pango-1.0,
               gir1.2-atk-1.0 (>= 1.32.0),
               gir1.2-json-glib-1.0 (>= 0.12.0)
Standards-Version: 3.9.1
Homepage: http://www.clutter-project.org/
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/clutter/ubuntu

Package: libclutter-1.0-0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Conflicts: libclutter-eglx-es11-1.0-0,
           libclutter-eglx-es20-1.0-0
Recommends: libclutter-1.0-common
Breaks: python-clutter (<< 1.3.2)
Description: Open GL based interactive canvas library
 Clutter is an Open GL based interactive canvas library, designed for creating
 fast, mainly 2D single window applications such as media box UIs,
 presentations, kiosk style applications and so on.
 .
 This package provides a build of Clutter that uses the GLX OpenGL backend.

Package: libclutter-1.0-common
Section: libs
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Open GL based interactive canvas library
 Clutter is an Open GL based interactive canvas library, designed for creating
 fast, mainly 2D single window applications such as media box UIs,
 presentations, kiosk style applications and so on.
 .
 This package contains the common files, such as translations.

Package: libclutter-1.0-dev
Section: libdevel
Architecture: any
Depends: libclutter-1.0-0 (= ${binary:Version}),
         libgdk-pixbuf2.0-dev,
         libcairo2-dev (>= 1.10),
         libatk1.0-dev (>= 1.7),
         libpango1.0-dev (>= 1.20),
         libgl1-mesa-dev (>= 7.1~rc3-1~) [!armel],
         libgles2-mesa-dev (>= 7.1~rc3-1~) [armel] | libgles2-dev [armel],
         libdrm-dev [!hurd-any],
         libx11-dev,
         libxext-dev,
         libxfixes-dev,
         libxdamage-dev,
         libxcomposite-dev,
         libxi-dev,
         libjson-glib-dev (>= 0.12),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: pkg-config
Suggests: libclutter-1.0-doc
Conflicts: libclutter-eglx-es11-1.0-dev,
           libclutter-eglx-es20-1.0-dev,
Description: Open GL based interactive canvas library (development files)
 Clutter is an Open GL based interactive canvas library, designed for creating
 fast, mainly 2D single window applications such as media box UIs,
 presentations, kiosk style applications and so on.
 .
 This package contains the development files.

Package: libclutter-1.0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libclutter-1.0-0 (= ${binary:Version}),
         ${misc:Depends}
Conflicts: libclutter-eglx-es11-1.0-dbg,
           libclutter-eglx-es20-1.0-dbg
Description: Open GL based interactive canvas library (debug files)
 Clutter is an Open GL based interactive canvas library, designed for creating
 fast, mainly 2D single window applications such as media box UIs,
 presentations, kiosk style applications and so on.
 .
 This package contains the debug files for the GLX OpenGL build.

Package: libclutter-1.0-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: devhelp
Conflicts: libclutter-0.1-doc, libclutter-doc
Replaces: libclutter-0.1-doc
Description: Open GL based interactive canvas library (documentation)
 Clutter is an Open GL based interactive canvas library, designed for creating
 fast, mainly 2D single window applications such as media box UIs,
 presentations, kiosk style applications and so on.
 .
 This package contains the documentation.

Package: clutter-1.0-tests
Section: misc
Priority: extra
Architecture: any
Depends: libclutter-1.0-0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Conflicts: clutter-1.0-tests-common,
           libclutter-1.0-tests-common
Replaces: libclutter-1.0-tests
Description: Open GL based interactive canvas library (documentation)
 Clutter is an Open GL based interactive canvas library, designed for creating
 fast, mainly 2D single window applications such as media box UIs,
 presentations, kiosk style applications and so on.
 .
 This package contains test programs.

Package: gir1.2-clutter-1.0
Section: libs
Architecture: any
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Conflicts: libclutter-1.0-0 (<< 1.0.8),
           gir1.2-clutter-eglx-1.0,
           gir1.0-clutter-1.0
Replaces: libclutter-1.0-0 (<< 1.0.8),
          gir1.0-clutter-1.0
Description: GObject introspection data for the Clutter 1.0 library
 This package contains introspection data for the Clutter scene
 graph library.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.
