## clutter-1.0 1.6.16

=== debian/changelog ===
clutter-1.0 (1.6.16-1) unstable; urgency=low

  * New upstream release
  * debian/control.in:
    - Drop gir packages as build-dependencies, they are now pulled by -dev
      packages
    - Bump cdbs and debhelper build-dependencies for multiarch policy
    - Add required multiarch fields
    - Drop duplicates Sections to please lintian
    - Use Breaks instead of Conflicts when versionized
  * debian/rules:
    - Rely on cdbs to call dh_girepository
    - Pass --libdir to configure for multiarch
    - Fix GNOME_DOWNLOAD_URL URL
  * debian/gir1.2-clutter-1.0.install, debian/libclutter-1.0-0.install,
    debian/libclutter-1.0-dev.install: Adjust for multiarch paths
  * debian/watch:
    - Fix URL
    - Switch to .bz2 tarballs.
    - Bump version to 3

 -- Laurent Bigonville <bigon@debian.org>  Thu, 07 Jul 2011 13:55:10 +0200

clutter-1.0 (1.6.14-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Make the -dev package depend on the gir package.

  [ Sjoerd Simons ]
  * New upstream release
  * debian/watch: Updated to new download URL
  * debian/patches/01-Explicitly-link-the-glx-flavour-against-libdl.patch:
    * Added, fixes build with binutils-gold (Closes: #554074)
  * Use dh-autoreconf to re-generate the autotools bits

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 14 May 2011 19:29:37 +0100
