=== debian/watch ===
version=3
http://source.clutter-project.org/sources/clutter/([\d.]+[02468])/clutter-(.*)\.tar\.bz2
