## clutter-1.0 1.8.0

=== debian/changelog ===
clutter-1.0 (1.8.0-1~svn1) oneiric; urgency=low

  * Synced from debian svn

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 22 Sep 2011 09:18:47 +0200

clutter-1.0 (1.8.0-1) UNRELEASED; urgency=low

  * New upstream release
  * debian/control.in:
    - Bump build-dep on libatk1.0-dev (>= 2.1.5), libcogl-dev (>= 1.8.0),
      libglib2.0-dev (>= 2.28)
  * debian/*.symbols*:
    - updated, there was no API break, since the removed symbols are private
      and weren't exposed in installed header files
  * debian/*.symbols*,debian/rules:
    - build with EGL/GLES2 on armhf

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 19 Sep 2011 22:01:23 +0200

clutter-1.0 (1.7.12-1) experimental; urgency=low

  * New upstream release
  * debian/libclutter-1.0-0.symbols{.armel}:
    - Updated
  * debian/control.in:
    - Fix build-dep on libcogl-dev

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 02 Sep 2011 10:05:24 +0200

clutter-1.0 (1.7.10-2) experimental; urgency=low

  * debian/patches/eglx_glx_share_same_soname.patch: Eglx and glx should
    share the same SONAME, for compatibility reasons
  * debian/libclutter-1.0-0.symbols.armel: Add separate symbol file for
    armel, where EGLX/GLES2 is used.

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 25 Aug 2011 12:05:08 +0200

clutter-1.0 (1.7.10-1) experimental; urgency=low

  [ Rico Tzschichholz ]
  * New upstream release
  * debian/control.in:
    - Add Build-Dep on libcogl-dev (>= 1.7.6)
    - Add clutter-1.0-tests package
  * debian/*.install:
    - Remove cogl references
  * debian/libclutter-1.0-0.symbols:
    - Updated the symbols
  * debian/patches:
    - Drop 01-Explicitly-link-the-glx-flavour-against-libdl.patch, not
      needed since 1.7.4
    - Drop 02_disable_armv5t_specific_optimization.patch, moved to cogl
    - Add fix_test_data_path.patch
  * debian/watch:
    - updated for new location

  [ Laurent Bigonville ]
  * debian/control.in: Fix short description of clutter-1.0-tests package

 -- Laurent Bigonville <bigon@debian.org>  Tue, 23 Aug 2011 23:56:07 +0200
