=== debian/control ===
--- 
+++ 
@@ -7,17 +7,18 @@
 Section: libs
 Priority: optional
 Maintainer: Ross Burton <ross@debian.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Laurent Bigonville <bigon@debian.org>, Sjoerd Simons <sjoerd@debian.org>, Rico Tzschichholz <ricotz@ubuntu.com>
 Build-Depends: debhelper (>= 8.1.3~),
                cdbs (>= 0.4.93~),
                dh-autoreconf,
                autopoint,
                gnome-pkg-tools,
-               libgl1-mesa-dev (>= 7.1~rc3-1~),
-               libglib2.0-dev (>= 2.27.3),
+               libgl1-mesa-dev (>= 7.1~rc3-1~) [!armel !armhf],
+               libgles2-mesa-dev (>= 7.1~rc3-1~) [armel armhf] | libgles2-dev [armel armhf],
                libcairo2-dev (>= 1.10),
+               libcogl-dev (>= 1.8.0),
                libpango1.0-dev (>= 1.28.3-5),
-               libglib2.0-dev (>= 2.27),
+               libglib2.0-dev (>= 2.28),
                libjson-glib-dev (>= 0.12.0),
                libdrm-dev [!hurd-any],
                libxext-dev,
@@ -28,12 +29,12 @@
                gtk-doc-tools (>= 1.13),
                libgirepository1.0-dev (>= 0.9.12),
                gobject-introspection (>= 0.9.12-4~),
-               libatk1.0-dev (>= 1.32.0-3~),
+               libatk1.0-dev (>= 2.1.5),
                libgdk-pixbuf2.0-dev (>= 2.0)
 Standards-Version: 3.9.2
 Homepage: http://www.clutter-project.org/
-Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/clutter-1.0
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/clutter-1.0/
+Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/experimental/clutter-1.0
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/experimental/clutter-1.0/
 
 Package: libclutter-1.0-0
 Architecture: any
@@ -69,7 +70,9 @@
          libcairo2-dev (>= 1.10),
          libatk1.0-dev (>= 1.7),
          libpango1.0-dev (>= 1.20),
-         libgl1-mesa-dev (>= 7.1~rc3-1~),
+         libcogl-dev (>= 1.7.6),
+         libgl1-mesa-dev (>= 7.1~rc3-1~) [!armel !armhf],
+         libgles2-mesa-dev (>= 7.1~rc3-1~) [armel armhf] | libgles2-dev [armel armhf],
          libdrm-dev [!hurd-any],
          libx11-dev,
          libxext-dev,
@@ -117,6 +120,20 @@
  .
  This package contains the documentation.
 
+Package: clutter-1.0-tests
+Section: misc
+Priority: extra
+Architecture: any
+Depends: libclutter-1.0-0 (= ${binary:Version}),
+         ${shlibs:Depends},
+         ${misc:Depends}
+Description: Open GL based interactive canvas library (test programs)
+ Clutter is an Open GL based interactive canvas library, designed for creating
+ fast, mainly 2D single window applications such as media box UIs,
+ presentations, kiosk style applications and so on.
+ .
+ This package contains test programs.
+
 Package: gir1.2-clutter-1.0
 Architecture: any
 Depends: ${gir:Depends},
