=== debian/watch ===
version=3
http://download.gnome.org/sources/clutter/([\d\.]+)/clutter-(.*)\.tar\.bz2
